%define rname vlan

Summary:	Utilities for controlling vlans
Name:		%{rname}-utils
Version:	1.9
Release:	%mkrel 12
License:	GPL
Group:		System/Kernel and hardware
URL:		http://www.candelatech.com/~greear/vlan.html 
Source0:	http://www.candelatech.com/~greear/vlan/vlan.%{version}.tar.gz
Patch0:		vlan-1.6-mdkconf.patch
Patch1:		vlan.1.9-format_not_a_string_literal_and_no_format_arguments.diff
Patch2:		vlan.1.9-nostrip.diff
BuildRequires:	kernel-headers >= 2.4.14
BuildRequires:	lynx
Provides:	vconfig
Obsoletes:	vconfig

%description
Virtual networking refers to the ability of switches and routers to
configure logical topologies on top of the physical network
infrastructure, allowing any arbitrary collection of LAN segments
within a network to be combined into an autonomous user group,
appearing as a single LAN.

This package implement support (along with the kernel patch) :

     * Implements 802.1Q VLAN spec.
     * Can support up to 4094 VLANs per ethernet interface.
     * Scales well in critical paths: O(n), where n is the number of
       PHYSICAL ethernet interfaces, and that is only on ingress. O(1) in
       every other critical path, as far as I know.
     * Supports MULTICAST
     * Can change MAC address of VLAN.
     * Multiple naming conventions supported, and adjustable at runtime.
     * Optional header-reordering, to make the VLAN interface look JUST
       LIKE an Ethernet interface. This fixes some problems with DHCPd
       and anything else that uses a SOCK_PACKET socket. Default setting
       is off, which works for every other protocol I know about, and is
       slightly faster.

%prep

%setup -q -n %{rname}
%patch0 -p1 -b .mdkconf
%patch1 -p0 -b .format_not_a_string_literal_and_no_format_arguments
%patch2 -p0 -b .nostrip

rm -rf `find -type d -name CVS`

%build
make clean
rm -f macvlan_config vconfig *.o
%make RPM_OPT_FLAGS="%{optflags}" LDFLAGS="%{ldflags}" vconfig

%install
install -m755 vconfig -D %{buildroot}/sbin/vconfig
install -m755 vlan_test.pl -D %{buildroot}/sbin/vlan-test
install -m644 vconfig.8 -D %{buildroot}%{_mandir}/man8/vconfig.8

%files
%doc CHANGELOG contrib README vlan.html
/sbin/*
%{_mandir}/man8/vconfig.8*




%changelog
* Fri Feb 14 2020 umeabot <umeabot> 1.9-12.mga8
+ Revision: 1518046
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.9-11.mga7
+ Revision: 1301628
- Mageia 7 Mass Rebuild

* Sat Jan 30 2016 umeabot <umeabot> 1.9-10.mga6
+ Revision: 929111
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.9-9.mga5
+ Revision: 740974
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.9-8.mga5
+ Revision: 690225
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.9-7.mga4
+ Revision: 520068
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.9-6.mga3
+ Revision: 385431
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 19 2012 dlucio <dlucio> 1.9-5.mga2
+ Revision: 224410
- bump release

* Tue Mar 08 2011 ennael <ennael> 1.9-4.mga1
+ Revision: 66536
- imported package vlan-utils


* Sat Dec 04 2010 Oden Eriksson <oeriksson@mandriva.com> 1.9-4mdv2011.0
+ Revision: 608126
- rebuild

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 1.9-3mdv2010.1
+ Revision: 519080
- rebuild

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.9-2mdv2010.0
+ Revision: 427495
- rebuild

* Tue Dec 23 2008 Oden Eriksson <oeriksson@mandriva.com> 1.9-1mdv2009.1
+ Revision: 317921
- 1.9
- new url
- fix build with -Werror=format-security (P1)
- don't strip
- use %%ldflags

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.8-7mdv2009.0
+ Revision: 225920
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 1.8-6mdv2008.1
+ Revision: 152812
- remove useless kernel require
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Sep 19 2007 Antoine Ginies <aginies@mandriva.com> 1.8-5mdv2008.0
+ Revision: 91217
- increase release an rebuild to fix lost in space 32bits package


* Sat Mar 17 2007 Oden Eriksson <oeriksson@mandriva.com> 1.8-4mdv2007.1
+ Revision: 145487
- Import vlan-utils

* Sat Mar 17 2007 Oden Eriksson <oeriksson@mandriva.com> 1.8-4mdv2007.1
- use the %%mrel macro
- bunzip patches

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.8-3mdk
- Rebuild

* Sun Jan 23 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.8-2mdk
- rebuild
- fix summary-ended-with-dot

